# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-11-21 00:51
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('experiments', '0002_update_experiment_fields'),
    ]

    operations = [
        migrations.CreateModel(
            name='AdminConditional',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('template', models.TextField(blank=True, default='', help_text="<strong>Available XML tags:</strong><br /><code>&lt;true /&gt;<br />\n&lt;false /&gt;<br />\n&lt;all_of&gt;...&lt;/all_of&gt;<br />\n&lt;any_of&gt;...&lt;/any_of&gt;\n</code><br /><strong>Available template context:</strong><br />same as the template where {% experiments_prepare_conditionals %} is being rendered.<br />Additional context injected from 'Context code' field below.")),
                ('context_code', models.TextField(blank=True, default='', help_text='Python code that adds additional context to the conditional at run time. For extra safety, only names found in &lt;&lt;double angle braces&gt;&gt; will be injected into the context.')),
                ('description', models.CharField(blank=True, max_length=254)),
            ],
            options={
                'verbose_name': 'conditional',
            },
        ),
        migrations.CreateModel(
            name='AdminConditionalTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('template', models.TextField(blank=True, default='', help_text="<strong>Available XML tags:</strong><br /><code>&lt;true /&gt;<br />\n&lt;false /&gt;<br />\n&lt;all_of&gt;...&lt;/all_of&gt;<br />\n&lt;any_of&gt;...&lt;/any_of&gt;\n</code><br /><strong>Available template context:</strong><br />same as the template where {% experiments_prepare_conditionals %} is being rendered.<br />Additional context injected from 'Context code' field below.")),
                ('context_code', models.TextField(blank=True, default='', help_text='Python code that adds additional context to the conditional at run time. For extra safety, only names found in &lt;&lt;double angle braces&gt;&gt; will be injected into the context.')),
                ('description', models.CharField(max_length=254)),
            ],
            options={
                'ordering': ('description',),
                'verbose_name': 'conditional template',
            },
        ),
        migrations.CreateModel(
            name='ExperimentAlternative',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=254)),
                ('weight', models.PositiveSmallIntegerField(blank=True, default=None, null=True, validators=[django.core.validators.MaxValueValidator(100)])),
            ],
            options={
                'ordering': ('name',),
            },
        ),
        migrations.AddField(
            model_name='enrollment',
            name='disabled',
            field=models.BooleanField(default=False),
        ),
        migrations.AlterField(
            model_name='experiment',
            name='name',
            field=models.CharField(help_text='This field is the primary key and is only editable when creating the experiment', max_length=128, primary_key=True, serialize=False),
        ),
        migrations.AddField(
            model_name='experimentalternative',
            name='experiment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='experiments.Experiment'),
        ),
        migrations.AddField(
            model_name='adminconditional',
            name='copy_from',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='experiments.AdminConditionalTemplate'),
        ),
        migrations.AddField(
            model_name='adminconditional',
            name='experiment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='admin_conditionals', to='experiments.Experiment'),
        ),
    ]
